WebBeanBuilder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.spring
[Java] Class WebBeanBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          grails.spring.BeanBuilder
              grails.spring.WebBeanBuilder

    public class WebBeanBuilder
    extends BeanBuilder

Extended version of the BeanBuilder class that provides support for constructing WebApplicationContext instances

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`WebBeanBuilder()`
`WebBeanBuilder(java.lang.ClassLoader classLoader)`
`WebBeanBuilder(org.springframework.context.ApplicationContext parent)`
`WebBeanBuilder(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)`

Method Summary
`protected RuntimeSpringConfiguration` | `createRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)`

Methods inherited from class BeanBuilder
addToDeferred, bean, bean, beans, createApplicationContext, createDynamicElementReader, createRuntimeSpringConfiguration, filterGStringReferences, finalizeDeferredProperties, getBeanDefinition, getBeanDefinitions, getLog, getParentCtx, getProperty, getSpringConfig, importBeans, initializeBeanBuilderForClassLoader, initializeSpringConfig, invokeBeanDefiningClosure, invokeBeanDefiningMethod, invokeMethod, loadBeans, loadBeans, loadBeans, manageListIfNecessary, manageMapIfNecessary, registerBeans, registerBeans, resolveConstructorArguments, setBinding, setClassLoader, setNamespaceHandlerResolver, setProperty, setPropertyOnBeanConfig, setResourcePatternResolver, setSpringConfig, subarray, xmlns

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### WebBeanBuilder

    public WebBeanBuilder()

### WebBeanBuilder

    public WebBeanBuilder(java.lang.ClassLoader classLoader)

### WebBeanBuilder

    public WebBeanBuilder(org.springframework.context.ApplicationContext parent)

### WebBeanBuilder

    public WebBeanBuilder(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)

Method Detail

### createRuntimeSpringConfiguration

    @java.lang.Override
    protected RuntimeSpringConfiguration createRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)

Groovy Documentation